package de.hdm_stuttgart.battlearena.Controller;

import de.hdm_stuttgart.battlearena.Controller.Utilities.SceneLoader;
import javafx.fxml.FXML;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class PlayerCreateController {
    @FXML
    private VBox parent;

    SceneLoader sceneLoader = new SceneLoader();

    private void switchScene(String name) {
        parent.getChildren().clear();
        parent.getChildren().add(sceneLoader.loadScene(name));
    }

    @FXML
    private void createScene() {
        switchScene("CreateAccount");
    }

    @FXML
    private void loginScene() {
        switchScene("Login");
    }

    @FXML
    private void exit() {
        Stage stage = (Stage) parent.getScene().getWindow();
        stage.close();
    }
}
