package de.hdm_stuttgart.battlearena.Controller;

import de.hdm_stuttgart.battlearena.Controller.Utilities.SceneLoader;
import de.hdm_stuttgart.battlearena.Model.Inputs.InputHandler;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.layout.VBox;

import java.io.IOException;
import java.util.Objects;

public class PauseController {
    @FXML
    private VBox parent;

    @FXML
    private void resume() {
        InputHandler.getInstance().setPause(false);
    }

    @FXML
    private void settings() {
        parent.getChildren().clear();
        parent.getChildren().add(new SceneLoader().loadScene("PauseSettings"));
    }

    @FXML
    private void mainMenu() throws IOException {
//        TODO: stop game scene
        parent.getScene().setRoot(FXMLLoader.load(Objects.requireNonNull(getClass().getResource("/fxml/MenuBorderPane.fxml"))));
    }
}
